View Issue Details

IDProjectCategoryView StatusLast Update
0002710SymmetricDSImprovementpublic2016-08-16 14:57
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.1 
Target Version3.8.1Fixed in Version3.8.1 
Summary0002710: Buffer Hybrid Pull Status Requests
DescriptionRight now, the SendStatus job related to hybrid pull will send a status update each time the job runs. Add the ability to buffer this status reporting, so that we only send a status update when there is a change from 0 batches to send to greater than 0.

Related to: http://www.symmetricds.org/issues/view.php?id=2625
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 aab11187

2016-08-15 16:45:52

mmichalek

Details Diff
0002710: Buffer Hybrid Pull Status Requests
0002710
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/ReportStatusJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/PushStatusUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/ServerSymmetricEngine.java Diff File

Issue History

Date Modified Username Field Change
2016-08-08 19:49 mmichalek New Issue
2016-08-08 19:49 mmichalek Status new => assigned
2016-08-08 19:49 mmichalek Assigned To => mmichalek
2016-08-15 14:30 mmichalek Target Version 3.8.1 => 3.8.2
2016-08-15 16:46 mmichalek Status assigned => resolved
2016-08-15 16:46 mmichalek Resolution open => fixed
2016-08-15 16:46 mmichalek Fixed in Version => 3.8.1
2016-08-15 16:46 mmichalek Target Version 3.8.2 => 3.8.1
2016-08-15 17:00 mmichalek Changeset attached => SymmetricDS 3.8 aab11187
2016-08-16 14:57 elong Status resolved => closed